{namespace n=GeorgRinger\News\ViewHelpers}

<figure class="o-media__img   js-slider-item">
	<f:if condition="{mediaElement.link}">
		<f:then>
			<f:link.typolink parameter="{mediaElement.link}" target="{n:targetLink(link:mediaElement.link)}">
				<div class="o-media__imageholder">
                    <picture>
                        <source media="(min-width: 660px)"
                                srcset="{f:uri.image(image: '{mediaElement}', width: 660)}">
                        <source media="(min-width: 480px)"
                                srcset="{f:uri.image(image: '{mediaElement}', width: 500)}">
                        <source srcset="{f:uri.image(image: '{mediaElement}', width: 390)}">
                        <!---Fallback--->
                        <f:image
                            alt="{mediaElement.alternative}"
                            maxHeight="{settings.detail.media.image.maxHeight}"
                            maxWidth="{settings.detail.media.image.maxWidth}"
                            src="{mediaElement.uid}"
                            title="{mediaElement.title}"
                            treatIdAsReference="1"/>
                    </picture>
                    <f:render partial="Copyright" arguments="{media: mediaElement}"/>
				</div>
			</f:link.typolink>
		</f:then>
		<f:else>
			<f:if condition="{settings.detail.media.image.lightbox.enabled}">
				<f:then>
					<div class="o-media__imageholder">
						<f:image
							alt="{mediaElement.alternative}"
							maxHeight="{settings.detail.media.image.maxHeight}"
							maxWidth="{settings.detail.media.image.maxWidth}"
							src="{mediaElement.uid}"
							title="{mediaElement.title}"
							treatIdAsReference="1"/>
						<f:render partial="Copyright" arguments="{media: mediaElement}"/>
					</div>
				</f:then>
				<f:else>
					<div class="o-media__imageholder">
						<f:image
							alt="{mediaElement.alternative}"
							maxHeight="{settings.detail.media.image.maxHeight}"
							maxWidth="{settings.detail.media.image.maxWidth}"
							src="{mediaElement.uid}"
							title="{mediaElement.title}"
							treatIdAsReference="1"/>
						<f:render partial="Copyright" arguments="{media: mediaElement}"/>
					</div>
				</f:else>
			</f:if>
		</f:else>
	</f:if>
	<f:if condition="{mediaElement.description}">
		<figcaption class="o-media__caption">
			{mediaElement.description}
		</figcaption>
	</f:if>
</figure>
